## org.opencyc.api
Class CyclopsBenchmark

    java.lang.Object
      |
      +--org.opencyc.api.CyclopsBenchmark

public class CyclopsBenchmark
extends java.lang.Object

Loads and executes the Cyclops (Cyc Logical Operations) benchmark.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`java.lang.String` `benchmarkFilePath` Path to benchmark the subl file.

Constructor Summary
`CyclopsBenchmark()` Constructs a new CyclopsBenchmark object.

Method Summary
`void` `execute()`
`static void` `main(java.lang.String[] args)` Main method to load and execute the Cyclops benchmark.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### benchmarkFilePath

    public java.lang.String benchmarkFilePath

  Path to benchmark the subl file.

Constructor Detail

### CyclopsBenchmark

    public CyclopsBenchmark()

  Constructs a new CyclopsBenchmark object.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method to load and execute the Cyclops benchmark.

### execute

    public void execute()